Deskhero Developer Hub
Back to deskhero.com
Account

Update profile

Replaces the current User's profile (given name, family name, email address, platform language and absolute time preference); given name and family name are required, and an omitted language clears the language choice. Changing the email address additionally requires the current password in password_validation, updates the login account with the new address, and is refused for Users who sign in through an external identity provider or when the address is already in use.

PUT /api/sys/v{version:apiVersion}/account/update_profile
Authorisation
Minimum role: USER

Request arguments

Name Type Source
updateRequestDTO_user_updateBody
Request body example

Response

Status
200 (OK)
Type
DTO_user
Wrapper
DTO_response_wrap
Other statuses
400 (BadRequest), 403 (Forbidden)
Response body example
DTO_user_update
NameTypeReadOnlyDescription
languageDTO_referenceLanguage
emailStringEmail
given_nameStringGiven name
family_nameStringFamily name
display_absolute_timeBooleanDisplay absolute time
password_validationStringUsed to update the email-address
DTO_user
NameTypeReadOnlyDescription
tenant_userDTO_tenant_userTenant user
created_byDTO_reference_userReadOnlyCreated by
last_updated_byDTO_reference_userReadOnlyLast updated by
languageDTO_translation_languageReadOnlyLanguage
idInt32ReadOnlyId
emailStringEmail
given_nameStringGiven name
family_nameStringFamily name
full_nameStringReadOnlyName
profile_picStringReadOnlyProfile pic
createdDateTimeReadOnlyCreated
last_updatedDateTimeReadOnlyLast updated
display_absolute_timeBooleanReadOnlyDisplay absolute time
DTO_reference
NameTypeReadOnlyDescription
idInt32The id of the reference
labelObjectReadOnlyName/Label from referenced object.
DTO_tenant_user
NameTypeReadOnlyDescription
groupsDTO_reference_is_admin[]Groups
notification_mentionsDTO_notification_channelNotification mentions
notification_assignedDTO_notification_channelNotification assigned
idInt32ReadOnlyId
tenant_idInt32Tenant id
user_idInt32User id
roleENUM tenant_user_roleRole
statusENUM tenant_user_statusStatus
last_seenDateTimeLast seen
DTO_reference_is_admin
NameTypeReadOnlyDescription
is_adminBooleanReadOnlyIs admin
idInt32Id
labelObjectReadOnlyLabel
DTO_notification_channel
NameTypeReadOnlyDescription
emailBooleanEmail
inappBooleanInapp
DTO_reference_user
NameTypeReadOnlyDescription
profile_picStringReadOnlyProfile pic
emailStringReadOnlyEmail
idInt32Id
labelObjectReadOnlyLabel
DTO_translation_language
NameTypeReadOnlyDescription
idInt32ReadOnlyLeave empty on input
nameStringName
codeStringCode
iconStringReadOnlyIcon
icon_sqareStringReadOnlyIcon sqare
ENUM tenant_user_role
ValueNameDescription
0UNKNOWNUNKNOWN
1OWNEROwner
2ADMINAdmin
3USERUser
ENUM tenant_user_status
ValueNameDescription
0UNKNOWNUNKNOWN
1ACTIVEACTIVE
2DEACTIVEDEACTIVE

Generated Aug 4, 2026 18:37